Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution
Name: libnss-mdns
Version: 0.10
Release: r7.0
License: LGPLv2.1+
Group: libs
Packager: Wind River <info@windriver.com>
URL: http://0pointer.de/lennart/projects/nss-mdns/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: avahi
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: avahi-daemon
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): avahi-daemon
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+27
Requires(preun): avahi-daemon
Provides: libnss_mdns4_minimal.so.2()(64bit)
Provides: libnss_mdns_minimal.so.2(NSSMDNS_0)(64bit)
Provides: libnss_mdns6.so.2()(64bit)
Provides: elf(buildid) = c53d5f0bef7eaad2f8965b3e6ffb360f1871e438
Provides: elf(buildid) = 7e9d7938564277cca551a7565e89b551142fcbee
Provides: elf(buildid) = fb3c9301673ca073c48fb87544865407382aa94b
Provides: elf(buildid) = 133ad8a371c320f4b81d0772353c68523274388c
Provides: elf(buildid) = 9251f4031b309b4d2e6a7f0d23a3e00370ca6bc4
Provides: elf(buildid) = 334ce429ef5fff93a9f751b4c5b20538cdf74aef
Provides: libnss_mdns_minimal.so.2()(64bit)
Provides: libnss_mdns.so.2(NSSMDNS_0)(64bit)
Provides: libnss_mdns6_minimal.so.2()(64bit)
Provides: libnss_mdns6_minimal.so.2(NSSMDNS_0)(64bit)
Provides: libnss_mdns4_minimal.so.2(NSSMDNS_0)(64bit)
Provides: libnss_mdns4.so.2()(64bit)
Provides: libnss_mdns6.so.2(NSSMDNS_0)(64bit)
Provides: libnss_mdns.so.2()(64bit)
Provides: libnss_mdns4.so.2(NSSMDNS_0)(64bit)

%description
Name Service Switch module for Multicast DNS (zeroconf) name resolution.

%package -n libnss-mdns-dbg
Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libnss-mdns = 0.10-r7.0

%description -n libnss-mdns-dbg
Name Service Switch module for Multicast DNS (zeroconf) name resolution.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n libnss-mdns-staticdev
Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution - Development files (Static Libraries)
Group: devel
Requires: libnss-mdns-dev = 0.10-r7.0

%description -n libnss-mdns-staticdev
Name Service Switch module for Multicast DNS (zeroconf) name resolution.
This package contains static libraries for software development.

%package -n libnss-mdns-dev
Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution - Development files
Group: devel
Requires: libnss-mdns = 0.10-r7.0
Suggests: libc6-dev
Suggests: avahi-dev
Suggests: avahi-daemon-dev

%description -n libnss-mdns-dev
Name Service Switch module for Multicast DNS (zeroconf) name resolution.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n libnss-mdns-doc
Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution - Documentation files
Group: doc

%description -n libnss-mdns-doc
Name Service Switch module for Multicast DNS (zeroconf) name resolution.
This package contains documentation.

%package -n libnss-mdns-locale
Summary: Name Service Switch module for Multicast DNS (zeroconf) name resolution
Group: libs

%description -n libnss-mdns-locale
Name Service Switch module for Multicast DNS (zeroconf) name resolution.

%post
# libnss-mdns - postinst
	sed -e '/^hosts:/s/\s*\<mdns\>//' \
		-e 's/\(^hosts:.*\)\(\<files\>\)\(.*\)\(\<dns\>\)\(.*\)/\1\2 mdns4_minimal [NOTFOUND=return]\3\4 mdns\5/' \
		-i $D/etc/nsswitch.conf
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%preun
# libnss-mdns - prerm
if [ "$1" = "0" ] ; then
sed -e '/^hosts:/s/\s*\<mdns\>//' \
		-e '/^hosts:/s/\s*mdns4_minimal\s\+\[NOTFOUND=return\]//' \
		-i $D/etc/nsswitch.conf
fi

%files
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libnss_mdns_minimal.so.2"
"/lib64/libnss_mdns4.so.2"
"/lib64/libnss_mdns.so.2"
"/lib64/libnss_mdns6.so.2"
"/lib64/libnss_mdns6_minimal.so.2"
"/lib64/libnss_mdns4_minimal.so.2"

%files -n libnss-mdns-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libnss-mdns"
%dir "/usr/src/debug/libnss-mdns/0.10-r7"
%dir "/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10"
%dir "/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/query.h"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/avahi.c"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/avahi.h"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/nss.c"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/util.h"
"/usr/src/debug/libnss-mdns/0.10-r7/nss-mdns-0.10/src/util.c"
%dir "/lib64/.debug"
"/lib64/.debug/libnss_mdns_minimal.so.2"
"/lib64/.debug/libnss_mdns4.so.2"
"/lib64/.debug/libnss_mdns.so.2"
"/lib64/.debug/libnss_mdns6.so.2"
"/lib64/.debug/libnss_mdns6_minimal.so.2"
"/lib64/.debug/libnss_mdns4_minimal.so.2"

%files -n libnss-mdns-dev
%defattr(-,-,-,-)

